Description

History

#1 - 05/27/2022 10:24 AM - Eric Faulhaber

The READ-XMLSCHEMA method is gap marked as runtime partial but should be listed as basic (just needs some testing).

#2 - 04/05/2023 03:42 AM - Eric Faulhaber

- Assignee set to Boris Schegolev

Igor, is this issue already covered by the work you have done for #6444? If so, how complete is the support now for the READ-XMLSCHEMA

handle-based method (both for temp-tables and datasets)? What, if anything, is still missing, to your knowledge? Are there known bugs?

If there is implementation or testing work left to do, can you please guide Boris as to what is incompletely implemented, broken, or needs to be

tested? We will want to do this after 6444a has been merged to trunk. Thanks.

#3 - 04/05/2023 03:47 AM - Igor Skornyakov

Eric Faulhaber wrote:

Igor, is this issue already covered by the work you have done for #6444? If so, how complete is the support now for the READ-XMLSCHEMA

handle-based method (both for temp-tables and datasets)? What, if anything, is still missing, to your knowledge? Are there known bugs?

If there is implementation or testing work left to do, can you please guide Boris as to what is incompletely implemented, broken, or needs to be

tested? We will want to do this after 6444a has been merged to trunk. Thanks.

 

Eric,

I believe that it was completely implemented in #6444. At least I've tested this functionality very thoroughly. The corresponding tests has been

comitted to the xfer testcases project (see #6444-183).

05/03/2024 1/3

https://proj.goldencode.com/issues/6444
https://proj.goldencode.com/issues/6444
https://proj.goldencode.com/issues/6444
https://proj.goldencode.com/issues/6444#note-183


#4 - 04/05/2023 04:07 AM - Eric Faulhaber

Thank you, Igor. It does appear that runtime support for READ-XMLSCHEMA was updated from partial to basic in rules/gaps/expressions.rules in

trunk revision 14484, which was merged in mid-February. So, I understand from your statement that the issues you found after that (i.e., #6444-162)

have since been resolved in 6444a. Should the runtime support now be updated to full?

I realize temp-tables can be components in a data set, but are there test cases ensuring the feature works with standalone temp-tables as well? I

haven't had time to review the test cases.

#5 - 04/05/2023 04:08 AM - Igor Skornyakov

Igor Skornyakov wrote:

Eric,

I believe that it was completely implemented in #6444. At least I've tested this functionality very thoroughly. The corresponding tests has been

comitted to the xfer testcases project (see #6444-183).

 

Well, there is one thing that I've overlooked, see #7247. It is similar to #7193. This is about READ-XML for the just created 'empty' dynamic

DATA-SET/TABLE.

#6 - 04/05/2023 04:13 AM - Igor Skornyakov

Eric Faulhaber wrote:

Thank you, Igor. It does appear that runtime support for READ-XMLSCHEMA was updated from partial to basic in rules/gaps/expressions.rules

in trunk revision 14484, which was merged in mid-February. So, I understand from your statement that the issues you found after that (i.e., 

#6444-162) have since been resolved in 6444a. Should the runtime support now be updated to full?

 

I think so.

I realize temp-tables can be components in a data set, but are there test cases ensuring the feature works with standalone temp-tables as well? I

haven't had time to review the test cases

 

Yes, I have tested XML support both for DATA-SET and a standalone TEMP-TABLE.

See however #6455-5.
#7 - 04/05/2023 04:20 AM - Eric Faulhaber

- Status changed from New to Closed

- Assignee changed from Boris Schegolev to Igor Skornyakov

- % Done changed from 0 to 100

As part of your final cleanup of #6444, please update the gap marking in expressions.rules in branch 6444a to full instead of basic. This marking

considers the completeness of the implementation, not the existence of defects. Defects can be addressed in separate issues.

Since we have a separate issue open for the READ-XML bug, we won't address that here, nor in #6444. I am closing this issue.

#8 - 04/05/2023 08:51 AM - Igor Skornyakov

- Priority changed from Normal to Low

- vendor_id deleted (GCD)

Eric Faulhaber wrote:

As part of your final cleanup of #6444, please update the gap marking in expressions.rules in branch 6444a to full instead of basic. This marking

considers the completeness of the implementation, not the existence of defects. Defects can be addressed in separate issues.

 

Done in 6444a/14552.

#9 - 04/05/2023 01:41 PM - Ovidiu Maxiniuc

Igor,

The revision 14552 is NOT visible in devsrv01:/opt/secure/code/p2j_repo/p2j/active/6444a.

Is it possible that your commit was local (offline)? Maybe you forgot to re-bind the branch after the last rebase?
